<h1>
  <%= t('.title') %>
</h1>

<%= form_with url: wines_path, method: :get do |form| %>
  <%= form.label(:price_min, t('.price_min')) %>
  <%= form.text_field(:price_min, value: @params[:price_min]) %>
  <%= form.label(:price_max, t('.price_max')) %>
  <%= form.text_field(:price_max, value: @params[:price_max]) %>
  <%= form.submit t('.search') %>
<% end %>

<ul>
  <% @wines.each do |wine| %>
    <li>
      <%= link_to "#{wine.year} #{wine.name}", wine %><br>
      <%= t('.critic_ratings', average: wine.critic_ratings_average&.round, count: wine.critic_ratings_count) %><br>
      <%= t('.references_min_price', price: wine.references_min_price) %>
    </li>
  <% end %>
</ul>

<%= paginate @wines %>
